/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/

#include "stdafx.h"
#include "resource.h"

// The module attribute causes DllMain, DllRegisterServer and DllUnregisterServer to be automatically implemented for you
[ module(dll, uuid = "{ee4abb52-e7f9-420f-84df-6c2d5c969480}", 
		 name = "Agilent34980A",
		 version =  "1.3",  
		 helpstring =  "IVI Agilent34980A 1.3 Type Library",
		 helpfile = "Agilent34980A.chm",
		 resource_name = "IDR_Agilent34980A") ]

class CNtlModule {
public:
#if (_MSC_VER < 1400) // Before VS2005
	DECLARE_REGISTRY_APPID_RESOURCEID(IDR_Agilent34980A, "{ba5758b7-7f0f-4eeb-812f-b94f9df48b7a}")
#endif

	HRESULT DllRegisterServer(BOOL bRegTypeLib = TRUE)
	{
		HRESULT hr = __super::DllRegisterServer(bRegTypeLib);

		return hr;
	}

	HRESULT DllUnregisterServer()
	{
		HRESULT hr = __super::DllUnregisterServer();

		return hr;
	}
};

